/* ########## LARGER SCREENS ########## */ 
/* This section works well on all browsers except for IE6 which left aligns. */


html {
	/* prevent mobile browsers from trying to be smart and ruining everything */
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
}


/***** Center pages for NewCore  over 1200px */ 
#bodycontainer #headercontainer .primary,
#bodycontainer #headercontainer .secondary {
	margin-left: auto; margin-right: auto; max-width:1200px;
}
 #bodycontainer .internal{
 	margin-left: auto; margin-right: auto;
 	width: 100%;
 }
#bodycontainer #footercontainer .internal{
	max-width:1200px;
}
#headercontainer .primary,
#headercontainer .secondary,
#footercontainer .internal,
#centrecontainer .internal {
    min-width: 900px;
    max-width: 10000px;
 
}

#pagecontent{ max-width: 1200px;}






/* ########## HEADDER ############################################################ */

	/* nav-skip button is next to the quicklinks */
	#headercontainer #nav-skip{
		top:0px; right:10px; width:115px; height:14px;
		padding:5px 0px 5px 15px !important; padding-right:0px !important;
		border-radius: 0 0 5px 0px;	background-image: none !important;}

	/* make quicklinks a vertical menu */
	/* note id-core specifies ql_button toggles ql_list display to inline/none */
	#headercontainer #ql_outer {
		top:0px; right:125px;  z-index:9000; font-size:1em;  
		background-image: none !important;
		border-radius: 0 0 5px 5px;	padding-left:0px !important;}
	#headercontainer #ql_inner {
		background-image: none !important; padding:5px !important;}
	
	#headercontainer #ql_outer a#ql_button {
		margin:10px 2px; padding:5px 12px 5px 5px !important;}


@media screen and (max-width:1000px) {
	#bodycontainer #headercontainer .primary img#uwa_crest{
		float:none;	padding-bottom:8px;}

	/* remove the background, we'll re-add it under .secondary */
	#bodycontainer #headercontainer {
		min-height: 112px; height: auto; background: none; background: black;}    

	.homepage #bodycontainer #headercontainer .secondary{
		background: url("http://static.weboffice.uwa.edu.au/visualid/graphics/search-background.gif") repeat-x scroll center bottom #ffffff;/*repeat-x scroll center bottom;*/
		margin-top: 0px; min-height:38px;height:auto;}
	#headercontainer #headertitle {
		width: 380px !important; margin-top:45px !important; padding-top:25px !important;}
	#bodycontainer form#uwasearch fieldset {
		min-height:29px;
		height:auto !important;}
	#bodycontainer form#uwasearch #words{
		width:120px;}

	/* nav-skip button is next to the quicklinks */
	#headercontainer #nav-skip{
		top:0px; right:10px; width:115px; height:14px;
		padding:5px 0px 5px 15px !important; padding-right:0px !important;
		border-radius: 0 0 5px 0px;	background-image: none !important;}


	/* make quicklinks a vertical menu */
	/* note id-core specifies ql_button toggles ql_list display to inline/none */
	#headercontainer #ql_outer {
		top:0px; right:125px; max-width:160px; z-index:9000; font-size:1em;  
		background-image: none !important;
		border-radius: 0 0 5px 5px;	padding-left:0px !important;}
	#headercontainer #ql_inner {
		background-image: none !important; padding:5px !important;}
	#headercontainer #ql_list{
		float: left; position: absolute; right:0px; top:22px;
		background: #555; padding: 5px 5px 5px 5px;
		border: none; border-radius:5px; box-shadow: 2px 2px 2px #333;	}
	#headercontainer #ql_list li {
		margin:0px !important; }
	#headercontainer #ql_list li a  {
		display:block;	min-width:120px;
		padding:5px !important; padding-left:5px !important; margin:0px 2px;	}
	#headercontainer #ql_outer a#ql_button {
		margin:10px 2px; padding:5px 12px 5px 5px !important;}
}

@media screen and (max-width:800px) {
	/* HEADER SEARCH */
	#bodycontainer form#uwasearch {
		width:100%;	}
	#bodycontainer form#uwasearch fieldset{
		width:100%;	text-align:center; padding-top:0px !important;}
	#bodycontainer form#uwasearch fieldset li{
		display:inline-block; float:none !important; vertical-align:text-top;}
	#bodycontainer form#uwasearch fieldset input#submitsearch{margin: 0px;}
	#bodycontainer form#uwasearch fieldset input#words{margin:2px;}
	#bodycontainer form#uwasearch fieldset input#query{}

	/* HEADER LINKS in secondary headder - center */
	#headercontainer #locallinks{
		text-align: center;	min-height:15px; width:100%; height: auto !important;
		margin-left: 0px; padding-bottom:4px;}
	#headercontainer #locallinks li {
		display:inline-block!important; /* prevent spliting a link over two lines */
		padding-bottom:6px;	}
}

@media screen and (max-width:659px) {
	/*centenary logo doesn't fit */
	#headercontainer #uwa_crest_centenary{ display: none;}
	/*remove headder title - doesn't fit */
	#headercontainer #headertitle{ display: none;}
	/* remove links in secondary header. They're down the bottom anyway. */
	#headercontainer #locallinks, #oldcore #headercontainer .searchlinks{
		display:none;}
	/*more quicklink button tweaks */
	#headercontainer #ql_outer{
		right:10px !important; top:10px !important; border-radius: 5px; }
	#headercontainer #nav-skip { 
		display:none;/*
		right:0em !important; top:0px !important; border-radius: 5px; */}
}



/* ########## EVERYTHING ELSE ############################################################ */


	/*#section-rightcontent .content_news .content {
    	overflow-y: none; position: static;
    	height: auto !important;
    	margin-bottom: 30px;

	}
	#section-rightcontent .content_news .content_inner{
		min-height: 165px;
	}
	#section-rightcontent .content_news {

		height: auto !important;
		display: table-cell;
		padding-bottom: 0px;
	}*/




@media screen and (max-width:1200px){

	#bodycontainer #footercontainer .right_info{
		position: absolute;
		right: 0px;
	}
}
@media screen and (max-width:1024px){
	.homepage #bodycontainer #footercontainer ul.logo_link_set li img {
		/*max-height: 25px;*/
		margin-left: 0em;
	}
/*
	#section-rightcontent .content_news {
		height: 185px;
	}
	#section-rightcontent .content_news.withimage .content {
    	height: 155px;
	}
	#section-rightcontent .content_news.orentation_tall {
    	height: 400px;
	}
	#section-rightcontent .content_news.orentation_tall .content {
		height: 330px;
	}
*/


}

/* Tablet mode - News as single column*/
@media screen and (max-width:1000px){

	#headercontainer .primary,
	#headercontainer .secondary,
	#footercontainer .internal,
	#centrecontainer .internal {
	    min-width: 300px;	 
	}

	#section-rightcontent .content_news{
		width: 100%;
	}
	#section-rightcontent .content_news .content_inner:not(.hasVideo) .content {
    	overflow-y: none; position: static;
    	min-height: 60px;
    	margin-bottom: 25px;
    	height: auto !important;
	}
	#section-rightcontent .content_news {
		height: auto !important;
		padding-bottom: 0px;
	}


}


@media screen and (max-width: 800px){
	#headertitle {display: none;}
	#bodycontainer #footercontainer ul.logo_link_set li img {
		/*max-height: 20px;*/
		margin-left: 0px;
	}

	#bodycontainer #pagecontainer #section-rightcontent .content_news img.feature {
		max-width: 80px;
		/*max-height: 80px;*/
	}
	#bodycontainer #pagecontainer #section-rightcontent .content_news img.feature_overlay {
		max-width: 80px;
		/*max-height: 80px;*/
	}
	#bodycontainer #pagecontainer #section-rightcontent .content_news.orentation_tall img.feature {
		/*max-height: 180px;*/
	}
	#section-rightcontent .content_news.withimage .content {
		left: 86px;
	}
	#section-rightcontent .content_news.withimage ul.morelink {
	    left: 86px;
	}
		.homepage #bodycontainer #footercontainer div.left_info{
		float: none;
		display: block;
	}
	.homepage #bodycontainer #footercontainer div.right_info{
		position: static;
		float: none !important;
		display: block;
		text-align: center;
		
	}
}

/* Mobile Mode - Left nav as full width */
@media screen and (max-width: 600px){
	#section-leftnav{
		float: none;
		width: 100%;
		margin-bottom: 20px;
		min-height: 100px;
	}
	#navigation{
		margin-left: 10px;
		margin-right: 10px;
	}
	#section-rightcontent{
		margin: 20px 10px 20px 10px;
		padding: 0 0 0 0;
	}		

	#section-rightcontent .content_news .content_inner {
		margin-right: 0px;
	}

	#spotlight .spotlight_copy_right .spotlight-copy, #spotlight .spotlight_copy_left .spotlight-copy{
		left: 40px !important;
		right: 40px !important;
		width: auto !important;
	}


}

@media screen and (max-width: 400px){
	#section_follow {
		display: block;
		float: none;
		clear: both;
		text-align: center;
	}
	#bodycontainer #pagecontainer #pagecontent ul.logo_link_set {
		text-align: center;		
		display: block;
	}
	#bodycontainer #pagecontainer #pagecontent ul.logo_link_set li.large{
		display: block;
	}
	#bodycontainer #pagecontainer #pagecontent ul.logo_link_set li{
		display: inline-block;
		text-align: center;
	}

}

